local proto_struct = [[
]]

local proto_c2s =
    [[
    # 战斗信息
    battle_get_info 2700 {
        request {
        }
        response {
            code 0: integer
        }
    }
]]

local proto_s2c =
    [[
        # 战斗信息
        on_battle_info 2700 {
            request {
            }
        }

        # 开始战斗
        on_battle_start 2701 {
            request {
            }
        }
        
        # 战斗轮次
        on_battle_round 2702 {
            request {
            }
        }

        # 战斗结算
        on_battle_settle 2703 {
            request {
                winUid 1: integer                       # 胜利玩家ID
            }
        }
]]

local proto = {
    c2s = proto_struct .. proto_c2s,
    s2c = proto_struct .. proto_s2c
}

return proto
